Retrieve a list of app users
curl --request GET \
--url https://api.spirii.com/app-usersimport requests
url = "https://api.spirii.com/app-users"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.spirii.com/app-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"firstName": "John",
"lastName": "Doe",
"email": "John.doe@gmail.com",
"phoneNumber": "+45 11 22 33 44",
"whitelabel": "label",
"newsletter": false,
"createdAt": "2021-04-20T14:38:20.000Z"
},
{
"id": 2,
"firstName": "Jane",
"lastName": "Doe",
"email": "Jane.doe@gmail.com",
"phoneNumber": null,
"whitelabel": "label",
"newsletter": false,
"createdAt": "2021-04-20T12:10:31.000Z"
}
],
"totalElements": 16,
"offset": 0,
"limit": 2
}{
"error": {
"message": "Querystring parameter `id` is not allowed",
"statusCode": 400,
"code": "QueryParamNotAllowed"
}
}{
"error": {
"message": "Something went wroing, try again later",
"statusCode": 500
}
}Retrieve a list of app users
GET
/
app-users
Retrieve a list of app users
Query Parameters
Only retrieve app users with a specific e-mail address
Example:
"john.doe@gmail.com"
Only retrieve app users with a specific phone number (including country code)
Example:
"+45 22 33 44 55"
Example:
1
The number of items to skip before starting to collect the result set
Example:
250
Number of record to collect
Required range:
x <= 2000Example:
250
Response
App Users Data
App Users data
Show child attributes
Show child attributes
Was this page helpful?